import Vue from 'vue'
import Vuex from 'vuex'
import system from './system'
import notice from './modules/notice'
import firstpage from './modules/firstpage'
import content from './modules/content'
import type from './modules/type'
import device from './modules/device'
import words from './modules/words'
import person from './modules/person'
import sysparam from './modules/sysparam'
import sysuser from './modules/sysuser'
import stats from './modules/stats'
import cart from './modules/cart'
import security from './modules/security'
import visitor from './modules/visitor' 
import lobby from './modules/lobby'
import followup from './modules/followup'

Vue.use(Vuex)

const store = new Vuex.Store({
  ...system,
  modules: {
    notice,
    firstpage,
    content,
    type,
    device,
    words,
    person,
    sysparam,
    sysuser,
    stats,
    cart,
    security,
    visitor,
    lobby,
    followup
  }
})

export default store
